Skip to main content
`Ctrl`+`K`

# TSMPRKInitializePackage

This function initializes everything in the `TSMPRK` package. It is called from `PetscDLLibraryRegister()` when using dynamic libraries, and on the first call to `TSCreate_MPRK()` when using static libraries.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSMPRKInitializePackage(void)

## See Also

TS: Scalable ODE and DAE Solvers, `TSMPRK`, `PetscInitialize()`

## Level

developer

## Location

src/ts/impls/multirate/mprk.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages